/**
 * @Description:
 * @Author zcf
 * @Date 2023-08-08 15:10
 * @E-mail boyzcf@qq.com
 */
import { piniaStore } from '@/stores'

export const useScreenOperation = defineStore('screenOperation', {
  state: () => ({
    clearScreen: false,
    videoW: 2942,
    ratio: 0,
    title: import.meta.env.VITE_APP_TITLE
  }),
  actions: {
    setClearScreen(bool) {
      this.clearScreen = bool
    }
  }
})

export function useOutsideScreenOperation() {
  return useScreenOperation(piniaStore)
}
